<!DOCTYPE html>
<html>
<head>
    <title>Prices</title>
    <link rel='stylesheet' href='/stylesheets/style.css' />
    <style>
        th, td, p, input {
            font:14px Verdana;
        }
        table, th, td
        {
            border: solid 1px #DDD;
            border-collapse: collapse;
            padding: 2px 3px;
            text-align: center;
        }
        th {
            font-weight:bold;
        }

        .button {
          display: inline-block;
          border-radius: 10px;
          background-color: #f4511e;
          border: none;
          color: #FFFFFF;
          text-align: center;
          font-size: 28px;
          padding: 20px;
          width: 200px;
          transition: all 0.5s;
          cursor: pointer;
          margin: 5px;
        }



        .button span {
          cursor: pointer;
          display: inline-block;
          position: relative;
          transition: 0.5s;
        }

        .button span:after {
          content: '\00bb';
          position: absolute;
          opacity: 0;
          top: 0;
          right: -20px;
          transition: 0.5s;
        }

        .button:hover span {
          padding-right: 25px;
        }

        .button:hover span:after {
          opacity: 1;
          right: 0;
        }
    </style>
</head>
<body style="text-align: center;  background-color: #D3D3D3;">
<h1>Référentiel Produit</h1>
<h2>Prices</h2>

<button class="button" style="vertical-align:middle" type="button" onclick="getData()"><span>Get Prices</span></button>
  <p id="showData"></p>
<script>
function getData() {
  fetch("https://localhost:8443/referentiel-produit/referentiel-produit/products-purchase-price")
    .then(response => response.json())
    .then(function(data) {
      console.log(data);
      CreateTableFromJSON(data)
    })
    .catch(function(error) {
      // If there is any error you will catch them here
      console.log(error);
    });
}

function CreateTableFromJSON(data) {

       // EXTRACT VALUE FOR HTML HEADER.
       // ('Book ID', 'Book Name', 'Category' and 'Price')
       var col = [];
       for (var i = 0; i < data.length; i++) {
           for (var key in data[i]) {
               if (col.indexOf(key) === -1) {
                   col.push(key);
               }
           }
       }

       // CREATE DYNAMIC TABLE.
       var table = document.createElement("table");

       // CREATE HTML TABLE HEADER ROW USING THE EXTRACTED HEADERS ABOVE.

       var tr = table.insertRow(-1);                   // TABLE ROW.

       for (var i = 0; i < col.length; i++) {
           var th = document.createElement("th");      // TABLE HEADER.
           th.innerHTML = col[i];
           tr.appendChild(th);
       }

       // ADD JSON DATA TO THE TABLE AS ROWS.
       for (var i = 0; i < data.length; i++) {

           tr = table.insertRow(-1);

           for (var j = 0; j < col.length; j++) {
               var tabCell = tr.insertCell(-1);
               tabCell.innerHTML = data[i][col[j]];
           }
       }

       // FINALLY ADD THE NEWLY CREATED TABLE WITH JSON DATA TO A CONTAINER.
       var divContainer = document.getElementById("showData");
       divContainer.innerHTML = "";
       divContainer.appendChild(table);
   }


//CreateTableFromJSON(myBooks)
</script>



</body>
</html>
